Bug 130844 - up2date loops forever when adding 3 updates to 159
up2date loops forever when adding 3 updates to 159
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks: 124619
  Show dependency treegraph
 
Reported: 2004-08-25 02:02 EDT by Camille Zavala
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:13:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Camille Zavala 2004-08-25 02:02:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
Up2date will loop endlessly trying to add new updates to resolve
dependencies or resolve conflicts.  It keeps thinking that it has to
add the same handful of packages over and over and over.

I wonder if up2date intends to add the packages but isn't able to add
them.  Or maybe up2date just loses its little mind because there are
so many updates -- my system has 159 updates, and up2date tries to add
3 more.

Workaround: Don't move your arm like that.  Er, I mean select fewer
packages.


Version-Release number of selected component (if applicable):
up2date-4.3.24-1

How reproducible:
Always

Steps to Reproduce:
1. In the kicker panel, click the red RHN "!" icon.  Note the tooltip
saying that 159 updates are available.
2. In the Notification Tool popup, click "Launch up2date".
3. Type root's password when asked for it.
4. In the Update Agent window, click Forward, then Forward again (past
the checked fedora-core-rawhide channel).
5. In the newly-renamed Up2date - Skipped Packages window, click
Forward past the skipped packages (kernel and kernel-utils).
    AN EXTRA COSMETIC BUG:  In the Skipped Packages window, the last
line of the paragraph under the Package Information box (the phrase
"select its checkbox") is cut in half.  Only the top half of the
letters is visible.  This is with the default fonts on a 1024x768 screen.
6. In the Available Package Updates window, click the checkbox to
"Select all packages".  (Total size of selected packages to download =
153 kB.)
7. Click Forward to get the packages.
8. In the Warning popup (about "Test install failed because of package
conflicts" and "The following packages were added to your selection to
satisfy dependencies"), click OK.
9. Back in the Up2date - Package List window, click Forward.

Actual Results:  After the package set is tested and RPM
inter-dependencies are solved, the same dialog box mentioned in step 8
pops up.  Click OK and then Forward (step 9) and the dialog box will
reappear again.  Do the same thing 5 times and you get the same loop 5
times.

Expected Results:  After giving the Warning dialog and adding
additional packages, up2date should (after I click Forward) download
those packages and install them.

If I'm not supposed to be able to go forward (because my updates still
have unresolved conflicts or for whatever reason), the Forward button
should be unselectable/grayed-out.  In that case I'd hope to see a
dialog box pop up to suggest a workaround, like "Select fewer packages
at a time".

Additional info:

Up2date's warning dialog box from step 8 (on my system tonight) reads:

Test install failed because of package conflicts:
The following packages were added to your selection to satisfy
dependencies:
Name                                    Version        Release
--------------------------------------------------------------
libstdc++-devel                         3.4.1          9             
     
rpm-libs                                4.3.2          0.10          
     
xorg-x11-deprecated-libs                6.7.99.902     4             
     

file /usr/share/man/man5/resolver.5.gz conflicts between attempted
installs of man-pages-1.67-2 and bind-utils-9.2.4-EL4_1
Comment 1 Matthew Miller 2006-07-10 18:54:42 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Thacker 2006-10-29 10:13:29 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.